using Microsoft.Extensions.Logging;
using NFCLockDemoV2.ViewModels;
/*#if ANDROID
using NFCLockDemoV2.Platforms.Android;
#endif*/

namespace NFCLockDemoV2
{
    public static class MauiProgram
    {
        public static MauiApp CreateMauiApp()
        {
            var builder = MauiApp.CreateBuilder();
            builder
                .UseMauiApp<App>()
                .ConfigureFonts(fonts =>
                {
                    fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
                    fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
                });

#if DEBUG
    		builder.Logging.AddDebug();
#endif
            builder.Services.AddSingleton<MainViewModel>();
/*#if ANDROID
            builder.Services.AddSingleton<NFCCallbacks>();
#endif*/
            return builder.Build();
        }
    }
}
